The Autodesk.Revit.DB.WallSweep
class represents a sweep operation that is applied to a wall in Revit.
The WallSweep
class has the following properties:
SweepProfilePath
: This property gets or sets the path to the sweep profile that is applied to the wall. The path can be a ModelCurvePath
or an EdgeArray
.WallId
: This property gets or sets the ID of the wall that the sweep operation is applied to.SweepType
: This property gets or sets the type of sweep operation that is applied to the wall. The available types are Adaptive
, Everywhere
, Mitered
, and None
.The WallSweep
class has the following methods:
Equals
: This method checks whether the current instance is equal to the specified object.GetHashCode
: This method returns a hash code for the current instance.ToString
: This method returns a string that represents the current instance.// Create a sweep profile curve.
ModelCurve modelCurve = ...;
ModelCurvePath modelCurvePath = new ModelCurvePath(modelCurve);
// Create a wall sweep operation.
Wall wall = ...;
WallSweep wallSweep = new WallSweep(wall.Id, modelCurvePath, WallSweepType.Mitered);
// Apply the sweep operation to the wall.
doc.Create(wallSweep);
In this example, we create a ModelCurvePath
object from a ModelCurve
object, and use it to create a WallSweep
object. We then apply the sweep operation to a Wall
object using the Create
method of the Document
class.